let TEMPO_ESTADIA_COLUMN_INDEX = 36;
let DATE_BEGIN_COLUMN_INDEX = 5;
let DATE_END_COLUMN_INDEX = 6;
let IMPRATICABILITY_COLUMN_INDEX = 7;

class RiskPort{
  fileData = null;
  
  data = [];
  temposEstadiaEstatisticas = null;
  getDataFromFile = function (){
        let file = "";
        if(document.getElementById("rb2").checked ){
            file =  "data_source/Dados_PortoRG.csv" ;
            TEMPO_ESTADIA_COLUMN_INDEX = 36;
            DATE_BEGIN_COLUMN_INDEX = 5;
            DATE_END_COLUMN_INDEX = 6;
            IMPRATICABILITY_COLUMN_INDEX = 7
        }else{
            file = "data_source/dados_porto_SF.csv";
            TEMPO_ESTADIA_COLUMN_INDEX = 15;
            DATE_BEGIN_COLUMN_INDEX = 2;
            DATE_END_COLUMN_INDEX = 3;
            IMPRATICABILITY_COLUMN_INDEX = 31;
           
        }
        
        let fetchResult=window.fetch(file);
        console.log(fetchResult, typeof fetchResult);
        riskPort.temposEstadiaEstatisticas  = [];
        riskPort.data = [];
        fetchResult.then(
          function (result){
            console.log("Success",result, typeof result);
            let jsonPromise=result.text();
            console.log(jsonPromise, typeof jsonPromise);
            jsonPromise.then(function (result){
              console.log("Success", result, typeof result);
              riskPort.fileData = result;
              riskPort.convertTextToArray();
              let dataJan2020 = riskPort.getStatistcsFromPeriod(new Date(2020,0,1),new Date(2020,0,30), TEMPO_ESTADIA_COLUMN_INDEX);
              let dataFev2020 = riskPort.getStatistcsFromPeriod(new Date(2020,1,1),new Date(2020,1,30), TEMPO_ESTADIA_COLUMN_INDEX);
              let dataMar2020 = riskPort.getStatistcsFromPeriod(new Date(2020,2,1),new Date(2020,2,30), TEMPO_ESTADIA_COLUMN_INDEX);
              let dataAbr2020 = riskPort.getStatistcsFromPeriod(new Date(2020,3,1),new Date(2020,3,30), TEMPO_ESTADIA_COLUMN_INDEX);
              let dataMai2020 = riskPort.getStatistcsFromPeriod(new Date(2020,4,1),new Date(2020,4,30), TEMPO_ESTADIA_COLUMN_INDEX);
              let dataJun2020 = riskPort.getStatistcsFromPeriod(new Date(2020,5,1),new Date(2020,5,30), TEMPO_ESTADIA_COLUMN_INDEX);
              let dataJul2020 = riskPort.getStatistcsFromPeriod(new Date(2020,6,1),new Date(2020,6,30), TEMPO_ESTADIA_COLUMN_INDEX);
              let dataAgo2020 = riskPort.getStatistcsFromPeriod(new Date(2020,7,1),new Date(2020,7,30), TEMPO_ESTADIA_COLUMN_INDEX);
              let dataSet2020 = riskPort.getStatistcsFromPeriod(new Date(2020,8,1),new Date(2020,8,30), TEMPO_ESTADIA_COLUMN_INDEX);
              let dataOut2020 = riskPort.getStatistcsFromPeriod(new Date(2020,9,1),new Date(2020,9,30), TEMPO_ESTADIA_COLUMN_INDEX);
              let dataNov2020 = riskPort.getStatistcsFromPeriod(new Date(2020,10,1),new Date(2020,10,30), TEMPO_ESTADIA_COLUMN_INDEX);
              let dataDec2020 = riskPort.getStatistcsFromPeriod(new Date(2020,11,1),new Date(2020,11,30), TEMPO_ESTADIA_COLUMN_INDEX);
              riskPort.temposEstadiaEstatisticas = [dataJan2020,dataFev2020,dataMar2020,dataAbr2020,dataMai2020,dataJun2020,dataJul2020,dataAgo2020,dataSet2020,dataOut2020,dataNov2020,dataDec2020];
              console.log("Estatisticas 2020:", riskPort.temposEstadiaEstatisticas);
              riskPort.printStatistics();
            });
          },
          function (result){
            console.log("Error",result, typeof result);
          }
        );
      }

    calculateStatisticsFromYears(col){
      let sum = 0;
      riskPort.temposEstadiaEstatisticas.forEach(el=> sum += el[col]);
      let average = sum/riskPort.temposEstadiaEstatisticas.length;
      let variance = 0;
      riskPort.temposEstadiaEstatisticas.forEach(el=> variance += Math.pow(el[col]-average,2));
      let std = Math.sqrt(variance);
      return [average, std];

    }
    
    convertTextToArray = function (){
        let lines =  this.fileData.split("\n");
        lines = lines.splice(1,lines.length);// take of headers
        lines.forEach(function (line){
            let columns = line.split(",");
            riskPort.data.push(columns);
        });
        console.log("Data array", this.data);
    }

    getStatistcsFromPeriod(dateBegin, dateEnd, columnIndex){
        let sum = 0;
        let count = 0;
        let countImpraticabilidade = 0;
        let rowsFromPeriod = this.data.filter((row) => {
          if(row[DATE_BEGIN_COLUMN_INDEX] !== undefined && row[DATE_BEGIN_COLUMN_INDEX].trim() !== ""){
              if(row[DATE_BEGIN_COLUMN_INDEX].indexOf("/") === -1 ) return false;
              let tempDateParts = row[DATE_BEGIN_COLUMN_INDEX].split(" ")[0].split("/"); //[1, row[1], row[0]];
              let rowDateBegin = new Date(tempDateParts[2],Number.parseInt(tempDateParts[1])-1,tempDateParts[0]);
              tempDateParts = row[DATE_END_COLUMN_INDEX].split(" ")[0].split("/");
              let rowDateEnd = new Date(tempDateParts[2],Number.parseInt(tempDateParts[1])-1,tempDateParts[0]);
              if(rowDateBegin >= dateBegin && rowDateEnd <= dateEnd){
                  if(!isNaN(Number.parseFloat(row[columnIndex].trim()))){
                      sum += Number.parseFloat(row[columnIndex].trim());         
                      if(row[IMPRATICABILITY_COLUMN_INDEX].trim() === "1") countImpraticabilidade++;  
                      count++;             
                      return true;
                  }          
              }
           }
           return false;
        });
        let average = sum/count;
        let variance = 0;
       
        rowsFromPeriod.forEach( row=>{
            variance +=  Math.pow ( (Number.parseFloat(row[columnIndex])-average),2)/(count-1);
        });
        let standardDevidation = Math.sqrt(variance);
        console.log(dateBegin, sum, count,average , variance, standardDevidation);
        return [rowsFromPeriod, average, standardDevidation, count, countImpraticabilidade,countImpraticabilidade/count];
    }

    printStatistics = function(){
      let i=1;
      let table= document.getElementById("statistics_table");
      while(table.rows.length > 1){
        table.deleteRow(table.rows.length-1);
      }
      riskPort.temposEstadiaEstatisticas.forEach( row => {
        let tr = document.createElement("tr");
        let td = document.createElement("td");
        td.innerText = (i+"/2020");
        tr.appendChild(td) ;

        td = document.createElement("td");
        td.innerText = (row[3]);
        tr.appendChild(td) ;

        td = document.createElement("td");
        td.innerText = (`${row[4].toFixed(2)}`);
        tr.appendChild(td) ;


        td = document.createElement("td");
        td.innerText = (`${row[5].toFixed(2)}`);
        tr.appendChild(td) ;
    
        td = document.createElement("td");
        td.innerText = (`${row[1].toFixed(2)}`);
        tr.appendChild(td) ;

        td = document.createElement("td");
        td.innerText = (`${row[2].toFixed(2)}`);
        tr.appendChild(td) ;

        table.appendChild(tr);
        i++;
      });
    }

    processGameTheory = function(){
      //1. Get statistics from period
      let monthBegin = document.forms[0].mes_inicio.value;
      let dayBegin = document.forms[0].day_begin.value;
      let dateBegin = new Date(2020, monthBegin-1, dayBegin);
      let monthEnd= document.forms[0].mes_fim.value;
      let dayEnd = document.forms[0].day_end.value;
      let dateEnd = new Date(2020, monthEnd-1,dayEnd );
      let statisticsPeriod = riskPort.getStatistcsFromPeriod(dateBegin, dateEnd, TEMPO_ESTADIA_COLUMN_INDEX);
      console.log("statisticsPeriod", statisticsPeriod);
      let yearStats = riskPort.calculateStatisticsFromYears(3);
      let stdShips = yearStats[1];
     //2. Remover/somar da quantidade o desvio padrão das médias do ultimo ano
     let shipsNum =  statisticsPeriod[0].length + getRandomArbitrary(-1,1) * stdShips;
     shipsNum = Number.parseInt(shipsNum);
     console.log("Ships", shipsNum );
      //3. Para cada navio verificar se será afetado ou não pela impraticabilidade
      let isShipAffected = [];
      let impraticabilityPeriodTax = statisticsPeriod[5]; //std for tax
      yearStats = riskPort.calculateStatisticsFromYears(5);
      for(let i = 0; i < shipsNum; i++ ){
        let tax = impraticabilityPeriodTax +  getRandomArbitrary(-1,1) * yearStats[1];
        let random = Math.random();
        let isAffected = random <= tax ? true : false
        isShipAffected.push(isAffected);
      }
      console.log("IsAffectedArray",  isShipAffected);
      //4. Calcula tempo de estadia
      yearStats = riskPort.calculateStatisticsFromYears(1);
      let yearStatsStd = riskPort.calculateStatisticsFromYears(2);
      console.log("yearStatsStd", yearStatsStd);
      let timePerShip = new Array();
      let stantardTime = statisticsPeriod[1];
      let extraTime = 0; 
      for(let i = 0; i < shipsNum; i++ ){
        let shipTime = stantardTime + getRandomArbitrary(-1,1) * yearStatsStd [1];
        if(isShipAffected[i]){
            let timeImpraticabilidade = getRandomArbitrary(0.5,1)* yearStatsStd [1];
            extraTime += timeImpraticabilidade;
            shipTime += timeImpraticabilidade;
        }
        timePerShip.push(shipTime);  
      }
      let costPerHour = Number.parseFloat(document.forms[0].cost_per_hour.value.replaceAll(".","").replace(",","."));
      let extraCost = costPerHour * extraTime;
      document.getElementById("result_navios").innerText = shipsNum;
      document.getElementById("result_total_horas_paradas").innerText = extraTime.toFixed(2);
      let costFormated = (extraCost).toLocaleString('pt-BR', {
        style: 'currency',
        currency: 'BRL',
      });
      document.getElementById("result_custo_impraticabilidade").innerText = costFormated;
    }
}
let riskPort = new RiskPort();
console.log("File data", riskPort.fileData);   

function updateBorderColor(id, color, id2, color2){
  document.getElementById(id).style.borderColor = color;
  document.getElementById(id2).style.borderColor = color2;
}

function getRandomArbitrary(min, max) {
  return Math.random() * (max - min) + min;
}

function initPage(){
  riskPort.getDataFromFile();
  updateBorderColor('div_psf','#DF9E34','div_prg','#CCC');
}
